## org.codehaus.groovy.grails.web.taglib
Class GrailsTagRegistry

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.GrailsTagRegistry

    public class GrailsTagRegistry

extends Object

A registry for holding all Grails tag implementations

Since:
  11-Jan-2006
Author:
  Graeme Rocher

Method Summary
`static GrailsTagRegistry` `getInstance()`
`boolean` `isRequestContextTag(String tagName)`
`boolean` `isSyntaxTag(String tagName)`
`GrailsTag` `newTag(String tagName)`
`void` `registerTag(String tagName, Class tag)`
`boolean` `tagSupported(String tagName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static GrailsTagRegistry getInstance()

### registerTag

    public void registerTag(String tagName,
                            Class tag)

### tagSupported

    public boolean tagSupported(String tagName)

### isSyntaxTag

    public boolean isSyntaxTag(String tagName)

### newTag

    public GrailsTag newTag(String tagName)

### isRequestContextTag

    public boolean isRequestContextTag(String tagName)

Copyright (c) 2005-2009 The Grails project